Main Page Widgets Namespaces Book

# Glib::DirIterator Class Reference
[File Utilities]

List of all members.

## Detailed Description

The iterator type of Glib::Dir.

## Public Types

typedef std::input_iterator_tag | iterator_category
typedef std::string | value_type
typedef int | difference_type
typedef value_type | reference
typedef void | pointer

## Public Member Functions

| DirIterator ()
std::string | operator* () const
DirIterator& | operator++ ()
void | operator++ (int)
bool | operator== (const DirIterator& rhs) const
bool | operator!= (const DirIterator& rhs) const

## Member Typedef Documentation

typedef int Glib::DirIterator::difference_type

typedef std::input_iterator_tag Glib::DirIterator::iterator_category

typedef void Glib::DirIterator::pointer

typedef value_type Glib::DirIterator::reference

typedef std::string Glib::DirIterator::value_type

## Constructor & Destructor Documentation

Glib::DirIterator::DirIterator | ( |  | ) |

## Member Function Documentation

std::string Glib::DirIterator::operator* | ( |  | ) | const

bool Glib::DirIterator::operator!= | ( | const DirIterator& | rhs | ) | const

void Glib::DirIterator::operator++ | ( | int |  | ) |

Note:
  DirIterator has input iterator semantics, which means real postfix increment is impossible. The return type is `void` to prevent surprising behaviour.

DirIterator& Glib::DirIterator::operator++ | ( |  | ) |

bool Glib::DirIterator::operator== | ( | const DirIterator& | rhs | ) | const

The documentation for this class was generated from the following file:

- fileutils.h